--IF RUNNING THIS SCRIPT IN SQL MGMT STUDIO
--1. FROM QUERY MENU, SELECT SQLCMD Mode
--2. UNCOMMENT LINE BELOW AND REPLACE "EN" WITH APPROPRIATE LANGUAGE CODE 
--:setvar languagecode "EN"

declare 
  @v_grid_name VARCHAR(6),
  @v_grid_id NUMERIC(14, 0),
  @v_field_id NUMERIC(14, 0),
  @v_field_id_list VARCHAR(1000),
  @v_grid_key_fields VARCHAR(200),
  @v_dataspy_id NUMERIC(14, 0),
  @sChk nvarchar(1);

-------------------------------------------------------------------------------
-- Set custom grid name
-------------------------------------------------------------------------------

set @v_grid_name = 'WUSCHD'; 

-------------------------------------------------------------------------------
-- Cleanup existing grid
-------------------------------------------------------------------------------
IF EXISTS (SELECT BOT_FUNCTION FROM r5boilertexts WHERE BOT_FUNCTION = @v_grid_name)
BEGIN
      DELETE FROM r5boilertexts where BOT_FUNCTION = @v_grid_name
END

IF EXISTS (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name)
BEGIN
	DELETE FROM r5queryfield where DQF_DDSPYID in (select DDS_DDSPYID from R5dddataspy where DDS_GRIDID in (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name))
	DELETE FROM R5USEGRIDSYSDEFAULT WHERE USD_GRIDID in (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name)
	DELETE FROM R5dddataspy WHERE DDS_GRIDID in (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name)
	DELETE FROM r5gridfield where GFD_GRIDID in (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name)
	DELETE FROM r5gridparam where gdp_gridid in (select grd_gridid from r5grid where GRD_GRIDNAME = @v_grid_name)	
	DELETE FROM r5grid WHERE GRD_GRIDNAME = @v_grid_name
END

IF EXISTS (SELECT FUN_CODE FROM r5functions WHERE FUN_CODE = @v_grid_name)
BEGIN
	DELETE FROM R5EXTMENULANG WHERE EML_EXTMENU IN (SELECT EMN_CODE FROM R5EXTMENUS WHERE EMN_FUNCTION = @v_grid_name);
	DELETE FROM R5EXTMENUS WHERE EMN_FUNCTION = @v_grid_name;
	DELETE FROM r5functions where FUN_CODE = @v_grid_name;
END

-------------------------------------------------------------------------------
--Insert r5functions
-------------------------------------------------------------------------------
INSERT INTO R5FUNCTIONS (FUN_CODE,FUN_DESC,FUN_CLASS,FUN_SUBTYPE,FUN_FILE,FUN_PUBLIC,FUN_SELECT,FUN_BACKGROUND,FUN_DIRSEL,FUN_SYSTEM,FUN_DISPLAYAP,FUN_DISPLAYFT,FUN_POPUPAP,FUN_POPUPFT,FUN_DESCCHANGED,FUN_CLASS_ORG,FUN_LST,FUN_RS,FUN_HDR,FUN_EWSREPORT,FUN_PRDDATASRC,FUN_EWSURLNEW,FUN_REPDISABLED,FUN_ADVREPT,FUN_MEKEY,FUN_EWSBTN)
 VALUES (@v_grid_name,'Scheduled Labor (AM)','WEBD','M','R5MENU','-','?','-','-','+','-','+','-','-','-','*','+','-','-','-','-','-','-','-','YN','-');

-------------------------------------------------------------------------------
-- Insert r5grid
-------------------------------------------------------------------------------

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_grid_id OUTPUT, 'GRD', '1', @sChk OUTPUT
INSERT INTO R5GRID (GRD_DESC,GRD_GRIDID,GRD_BASEQUERY,GRD_GRIDNAME,GRD_BOTFUNCTION,GRD_PORTLETFLAG,GRD_TAB,GRD_GRIDTYPE,GRD_OPTIMIZERON,GRD_DISTINCT,GRD_COMPLEX,GRD_ACTIVE,GRD_NOSCREENDESIGNER)
 VALUES ('Scheduled Labor (AM)',@v_grid_id,'FROM r5actschedules s,r5activities a,r5events e,r5ucodes u
    WHERE e.evt_code = a.act_event 
    AND a.act_event = s.acs_event 
    AND a.act_act = s.acs_activity 
    AND e.evt_rtype IN (''JOB'', ''PPM'')
    AND u.uco_rentity = ''JBTP''  
    and u.uco_code=e.evt_jobtype 
    AND u.uco_rcode IN ( ''*'', ''BR'', ''ST'', ''PM'', ''CAL'' ,''RP'', ''MEC'')
    AND e.evt_rstatus = ''R''',@v_grid_name,@v_grid_name,'-','+',2,'-','-','-','+','-');

-------------------------------------------------------------------------------
-- Insert r5dddataspy
-------------------------------------------------------------------------------

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_dataspy_id OUTPUT, 'DDS', '1', @sChk OUTPUT
INSERT INTO R5DDDATASPY (DDS_DDSPYNAME,DDS_DDSPYID,DDS_SCOPE,DDS_ORGANIZATION,DDS_CREATEDSTAMP,DDS_FILTERSTRXML,DDS_SORTSTRXML,DDS_OWNER,DDS_GRIDID,DDS_TYPE,DDS_DEFAULTFLAG,DDS_CLIENTROWS,DDS_BOTNAME,DDS_SECURITYDATASPY,DDS_MEKEY)
 VALUES ('All Records',@v_dataspy_id,'-','*',getdate(),'<FILTERABLE />','<SORTABLE><SORT_ELEMENT ALIAS_NAME="evt_created" SEQNUM="1" TYPE="ASC"/><SORT_ELEMENT ALIAS_NAME="acs_activity" SEQNUM="2" TYPE="ASC"/><SORT_ELEMENT ALIAS_NAME="acs_code" SEQNUM="3" TYPE="ASC"/></SORTABLE>','R5',@v_grid_id,'SD','+',30,'DSNAME','-','YY');

-------------------------------------------------------------------------------
-- Insert the three base r5boilertexts
-- Note: You must also insert a r5boilertext record for each "grid field" (see below)
-------------------------------------------------------------------------------

INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,1,100,0,0,'$(languagecode)','List View','TB','1','LST','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,2,100,0,0,'$(languagecode)','Scheduled Labor (AM)','F','1','UDG_HDRLABEL','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,3,100,0,0,'$(languagecode)','All Records','F','1','DSNAME','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,4,100,0,0,'$(languagecode)','acs_code','F','1','acs_code','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,5,100,0,0,'$(languagecode)','acs_event','F','1','acs_event','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,6,100,0,0,'$(languagecode)','acs_activity','F','1','acs_activity','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,7,100,0,0,'$(languagecode)','acs_mrc','F','1','acs_mrc','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,8,100,0,0,'$(languagecode)','acs_sched','F','1','acs_sched','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,9,100,0,0,'$(languagecode)','acs_responsible','F','1','acs_responsible','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,10,100,0,0,'$(languagecode)','acs_hours','F','1','acs_hours','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,11,100,0,0,'$(languagecode)','evt_org','F','1','evt_org','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,12,100,0,0,'$(languagecode)','acs_updated','F','1','acs_updated','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,13,100,0,0,'$(languagecode)','acs_updatecount','F','1','acs_updatecount','10000',getdate(),'-');
INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_POOL,BOT_CREATED,BOT_CLONED)
 VALUES (@v_grid_name,14,100,0,0,'$(languagecode)','evt_created','F','1','evt_created','10000',getdate(),'-');

-------------------------------------------------------------------------------
-- Copy the R5BOILERTEXTS for each of the languages in the R5LANGINST
-------------------------------------------------------------------------------

INSERT INTO R5BOILERTEXTS (BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,BOT_LANG,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_FLD2,BOT_PRTP,BOT_LVCR,BOT_ADLEN,BOT_POOL,BOT_CHANGED,BOT_DISPLAY,BOT_CREATED,BOT_CLONED)
SELECT BOT_FUNCTION,BOT_NUMBER,BOT_LENGTH,BOT_XPOS,BOT_YPOS,LIN_CODE,BOT_TEXT,BOT_DEST,BOT_PAGE,BOT_FLD1,BOT_FLD2,BOT_PRTP,BOT_LVCR,BOT_ADLEN,BOT_POOL,BOT_CHANGED,BOT_DISPLAY,BOT_CREATED,BOT_CLONED
FROM R5BOILERTEXTS, R5LANGINST
WHERE
BOT_LANG = '$(languagecode)' AND BOT_FUNCTION = @v_grid_name AND lin_code <> '$(languagecode)'

-------------------------------------------------------------------------------
-- Insert r5ddfield, r5gridfield, r5queryfield for each grid field
-------------------------------------------------------------------------------

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = LTRIM(RTRIM(str(@v_field_id)));
set @v_grid_key_fields =  LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_code','VARCHAR','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,4,'TEXT','acs_code','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',1,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_event','VARCHAR','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,5,'TEXT','acs_event','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',2,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_activity','NUMBER','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,6,'TEXT','acs_activity','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',3,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_mrc','VARCHAR','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,7,'TEXT','acs_mrc','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',4,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_sched','DATE','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,8,'TEXT','acs_sched','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',5,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_responsible','VARCHAR','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,9,'TEXT','acs_responsible','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',6,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_hours','DECIMAL','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,10,'TEXT','acs_hours','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',7,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'evt_org','VARCHAR','R5EVENTS');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,11,'TEXT','evt_org','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',8,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_updated','DATETIME','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,12,'TEXT','acs_updated','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',9,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'acs_updatecount','NUMBER','R5ACTSCHEDULES');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,13,'TEXT','acs_updatecount','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',10,'LIST');

EXECUTE [dbo].[R5O7_O7MAXSEQ] @v_field_id OUTPUT, 'DDF', '1', @sChk OUTPUT;
set @v_field_id_list = @v_field_id_list + ',' + LTRIM(RTRIM(str(@v_field_id)));
INSERT INTO R5DDFIELD (DDF_FIELDID,DDF_SOURCENAME,DDF_DATATYPE,DDF_TABLENAME)
 VALUES (@v_field_id,'evt_created','DATETIME','R5EVENTS');
INSERT INTO R5GRIDFIELD (GFD_FIELDID,GFD_GRIDID,GFD_BOTFUNCTION,GFD_BOTNUMBER,GFD_CONTROLTYPE,GFD_TAGNAME,GFD_FIELDTYPE,GFD_OCCURRENCE,GFD_HEADERLOCATION)
 VALUES (@v_field_id,@v_grid_id,@v_grid_name,14,'TEXT','evt_created','n',1,'n');
INSERT INTO R5QUERYFIELD (DQF_DDSPYID,DQF_FIELDID,DQF_COLUMNWIDTH,DQF_COLUMNORDER,DQF_VIEWTYPE)
 VALUES (@v_dataspy_id,@v_field_id,'180',11,'LIST');


-------------------------------------------------------------------------------
-- Insert r5gridparam
-------------------------------------------------------------------------------


-------------------------------------------------------------------------------
-- Setup field keys on r5grid
-------------------------------------------------------------------------------

update r5grid set 
grd_keyfields = @v_grid_key_fields, 
grd_filterablelist = @v_field_id_list,
grd_sortablelist = @v_field_id_list,
grd_displayablelist = @v_field_id_list
where grd_gridid = @v_grid_id;
